Subject: bug#63107: closed (Re: bug#63107: 30.0.50; display-buffer-in-childframe sometimes crashes Emacs on Mac)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 08 May 2023 08:53:02 +0000

Your bug report

#63107: 30.0.50; display-buffer-in-childframe sometimes crashes Emacs on Mac

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63107: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63107
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63107: 30.0.50; display-buffer-in-childframe sometimes crashes Emacs on Mac
From: Alan Third <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 8 May 2023 09:52:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, May 08, 2023 at 05:27:24AM +0300, Eli Zaretskii wrote:
> > Cc: [email-masked], Daniel Martín <[email-masked]>
> > Date: Sun, 7 May 2023 23:56:19 +0100
> > From: Alan Third <[email-masked]>
> > 
> > > I’ve been using this patch for a couple of days (I always have tool bar
> > > enabled), I also tried maximizing/minimizing, toggling tool-bar-mode,
> > > toggling frame decorations, and clicking on toolbar icons. Everything
> > > seems to be just fine.
> > 
> > Thanks.
> > 
> > I just pushed this to master as
> > 3adc1e7f37901235bda83ea65a90644b7b0a8dbf, but on reflection I'm
> > wondering if it should have gone into the emacs-29 branch instead?
> 
> It's regression since Emacs 28.2, so it should go to the emacs-29
> branch, indeed.

OK, I've cherry picked it into emacs-29.

Thanks!
-- 
Alan Third

Subject: 30.0.50; display-buffer-in-childframe sometimes crashes Emacs on Mac
From: Yuan Fu <[email-masked]>
To: Bug Report Emacs <[email-masked]>
Date: Thu, 27 Apr 2023 00:38:33 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-CC: [email-masked]

Reproduction is pretty easy, just evaluate

(display-buffer-in-child-frame (get-buffer-create "*test*") nil)

Perhaps I'm missing something? Because packages that uses childframe like eldoc-box are working fine. I tried using the same ALIST as eldoc-box, and various buffers like newly created buffer and current buffer, but it always crashes

In GNU Emacs 30.0.50 (build 46, x86_64-apple-darwin22.4.0, NS
appkit-2299.50 Version 13.3.1 (Build 22E261)) of 2023-04-16 built on
Brown
Repository revision: 6c81ef4cf985dad908fc473f31c0daf662fd2dad
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2299
System Description:  macOS 13.3.1

Configured using:
'configure --with-pdumper=yes --with-ns
PKG_CONFIG_PATH=/usr/local/lib/pkgconfig'

Configured features:
ACL DBUS GLIB GNUTLS JSON LCMS2 LIBXML2 MODULES NOTIFY KQUEUE NS PDUMPER
PNG RSVG SQLITE3 THREADS TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM ZLIB

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip cconv eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/ns-win ns-win ucs-normalize mule-util term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind kqueue cocoa ns
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 36193 12385)
(symbols 48 5099 0)
(strings 32 12577 1962)
(string-bytes 1 351234)
(vectors 16 9352)
(vector-slots 8 147536 10497)
(floats 8 21 17)
(intervals 56 202 0)
(buffers 984 11))